package domain

type AlibabaWdkMarketingItembuygiftAdditemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaWdkMarketingItembuygiftAdditemItemBuyGiftSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftAdditemMarketResult) SetMessage(v string) *AlibabaWdkMarketingItembuygiftAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItembuygiftAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemMarketResult) SetData(v AlibabaWdkMarketingItembuygiftAdditemItemBuyGiftSku) *AlibabaWdkMarketingItembuygiftAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItembuygiftAdditemMarketResult {
	s.Success = &v
	return s
}
